package com.ycwl.basic.service.pc;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ycwl.basic.model.pc.price.entity.PriceConfigEntity;
import com.ycwl.basic.model.pc.price.req.PriceConfigListReq;
import com.ycwl.basic.model.pc.price.resp.GoodsListRespVO;
import com.ycwl.basic.model.pc.price.resp.PriceConfigRespVO;

import java.util.List;

public interface PriceConfigService extends IService<PriceConfigEntity> {

    List<PriceConfigRespVO> listByCondition(PriceConfigListReq req);

    PriceConfigRespVO findById(Integer id);

    List<GoodsListRespVO> listGoodsByScenic(Long scenicId);

    void fillGoodsName(List<PriceConfigRespVO> result);

    void fillGoodsName(PriceConfigRespVO config);

    void updateStatus(Integer id);
}